summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/flowtable/0012flowtable_variable_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/flowtable/0012flowtable_variable_0')
-rwxr-xr-xtests/shell/testcases/flowtable/0012flowtable_variable_06
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/shell/testcases/flowtable/0012flowtable_variable_0 b/tests/shell/testcases/flowtable/0012flowtable_variable_0
index 8e334224..080059d2 100755
--- a/tests/shell/testcases/flowtable/0012flowtable_variable_0
+++ b/tests/shell/testcases/flowtable/0012flowtable_variable_0
@@ -2,6 +2,12 @@
set -e
+iface_cleanup() {
+ ip link del dummy1 &>/dev/null || :
+}
+trap 'iface_cleanup' EXIT
+iface_cleanup
+
ip link add name dummy1 type dummy
EXPECTED="define if_main = { lo, dummy1 }